*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: 'IBM Plex Sans', sans-serif;
}

:root{
    --bg-color: #1f242d;
    --second-bg-color: #323946;
    --text-color: #e0e0e0;
    --main-color: #00ac8d;
    --new-color: #5dd3bd;
    --fuente-principal: 'IBM Plex Sans', sans-serif;
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
}

body{
    background-color: var(--bg-color);
    color: var(--text-color);
    line-height: 1.5;
}

/*----General----*/
section{
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

.contenedor{
    text-align: justify;
}

h1, h2, h3{
    text-align: center;
    color: var(--main-color);
    font-family: var(--fuentePrincipal);
    margin-top: 2rem;
}
h1{
    font-size: 4.5rem;
    text-align: left;
    margin-bottom: 3rem;
}
h2{
    font-size: 4rem;
    text-transform: uppercase;
}
h3{
    font-size: 3.2rem;
    text-transform: uppercase;
}

h4{
    font-size: 2rem;
}

p{
    font-size: 1.8rem;
    color: var(--blanco);
}

span{
    color: var(--text-color);
}

/*----Header----*/

.header{
    position: fixed;
    width: 100%;
    padding: 2rem;
    background-color: var(--bg-color);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.hader .sticky{
    border-bottom: .1rem solid rgba(0, 0, 0, .2);
}

.logo{
    font-size: 2.5rem;
    color: var(--main-color);
    font-weight: 700;
}

.navbar a{
    font-size: 1.5rem;
    color: var(--text-color);
    margin-left: 3rem;
}
.navbar a:hover,
.navbar a.active{
   color: var(--main-color); 
}
.navbar .iniciar:hover{
    color: var(--new-color);
}

#menu-icon{
    font-size: 3.5rem;
    color: var(--text-color);
    display: none;
}

@media (max-width: 1200px){
    #menu-icon{
        display: block;
    }

    .navbar{
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        padding: 1rem;
        background-color: var(--bg-color);
        border-top: .1rem solid rgba(0, 0, 0, .2);
        box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .2);
        display: none;
    }
    .navbar.active{
        display: block;
    }
    .navbar a{
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
    }
}

/*----Inicio----*/

.inicio{
    display: flex;
    column-gap: 3rem;
    border-radius: 1rem;
}
.contenedor__logo{
    display: none;
}

.inicio__contenido{
    width: 80%;
    margin: 0 auto;
    margin-top: 20%;
}
.inicio__contenido .contacto__inicio{
    display: flex;
    align-items: center;
    margin-top: 2rem;
}
.inicio__contenido .contacto__inicio i{
    font-size: 2.5rem;
    margin-right: 1rem;
}
.inicio__contenido .contacto__inicio p{
    font-size: 2rem;
}

.nombre{
    color: var(--main-color);
}

.link{
    text-align: center;
    color: var(--main-color);
}

@media (min-width: 1300px){
    .contenedor__logo{
        width: 53rem;
        height: 20rem;
        border-radius: 1rem;
        margin-top: 22rem;
        display: block;
        margin-left: 10%;
    }
    .contenedor__logo .contacto{
        display: flex;
        align-items: center;
    }
    .contenedor__logo .contacto i{
        font-size: 2.5rem;
        margin-right: 1rem;
    }
    .contenedor__logo .contacto p{
        font-size: 2rem;
    }


    .inicio__contenido{
        width: 90%;
        margin-top: 6rem;
    }
    .inicio__contenido h1{
        font-size: 6rem;
    }
    .inicio__contenido .contacto__inicio{
        display: none;
    }
}

/*----Nosotros----*/

.contenedor__about{
    width: 100%;
    background-color: var(--second-bg-color);
    min-height: 100vh;
}

.about{
    margin: 0 auto;
    text-align: center;
    max-width: 120rem;
}
.contenedor__mv{
    display: grid;
    grid-template-columns: 1fr;
    width: 90%;
    margin: 0 auto;
    max-width: 120rem;
    gap: 2rem;
    margin-top: 2rem;
}

.mision{
    padding: 2rem;
    width: 60rem;
    width: 100%;
    height: 50rem;
    border-radius: 1rem;
    border: .2rem solid var(--main-color);
    text-align: justify;
    transition: .5s ease;
}
.mision img{
    width: 100%;
}
.mision p{
    margin-top: 1rem;
}

@media (min-width: 990px){
    .contenedor__mv{
        grid-template-columns: repeat(2, 1fr);
        margin-top: 8rem;
        padding: 3rem;
        width: 100%;
    }

    .mision{
        height: 40rem;
    }
    .mision p{
        margin-top: 5rem;
    }
}


/*----Servicios----*/

.serv__contenedor{
    background-color: var(--second-bg-color);
}

.services__container{
    display: grid;
    grid-template-columns: 1fr;
    gap: 2rem;
    width: 90%;
    margin: 0 auto;
    margin-top: 5rem;
}

.services__container .services__boxn{
    background-color: var(--bg-color);
    padding: 3rem 2rem 4rem;
    border-radius: 2rem;
    text-align: center;
    border: .2rem solid var(--new-color);
}

.services__boxn h3{
    color: var(--new-color);
    font-size: 2.6rem;
}
.services__boxn i{
    font-size: 7rem;
}
.services__boxn p{
    font-size: 1.6rem;
    margin: 1rem 0 3rem;
    text-align: justify;
}
.services__boxn .mod{
    text-align: center;
}

.services__container .services__box{
    background-color: var(--second-bg-color);
    padding: 3rem 2rem 4rem;
    border-radius: 2rem;
    text-align: center;
    border: .2rem solid var(--main-color);
}
.services__box i{
    font-size: 7rem;
    color: var(--main-color);
}
.services__box h3{
    font-size: 2.6rem;
}
.services__box p{
    font-size: 1.6rem;
    margin: 1rem 0 3rem;
    text-align: justify;
}
.services__box .mod{
    text-align: center;
}

@media (min-width: 990px){
    .services__container{
        grid-template-columns: repeat(3, 1fr);
    }

    .paqueteria{
        grid-column: 3 / 4;
        grid-row: 1 / 2;
    }

    .puerto{
        grid-column: 1 / 4;
    }
    .puerto p{
        width: 70%;
        margin: 0 auto;
    }
}

/*----Clientes----*/

.contenedor__cl{
    width: 100%;
    margin: 0 auto;
}
.contenedor__cl h2{
    margin-bottom: 3rem;
}

.clientes{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 3rem;
    padding: 3rem 1rem;
    border-radius: 1rem;
    width: 90%;
    margin: 0 auto;
}
.image{
    margin: 0 auto;
    width: 80%;
    height: 80%;
}

.image1{
    margin: 0 auto;
    width: 100%;
    height: 80%;
}



@media (min-width: 768px){
    .clientes{
        grid-template-columns: repeat(3, 1fr);
    }
}

@media (min-width: 990px){
    .clientes{
        grid-template-columns: repeat(4, 1fr);
    }
}

/*----Contactenos----*/

.form{
    max-width: 70rem;
    margin: 1rem auto;
    text-align: center;
    margin-bottom: 3rem;
    display: block;
}

.inputs__form{
    background-color: var(--second-bg-color);
    border: none;
    color: var(--text-color);
    padding: 2rem;
    border-radius: .5rem;
    width: 100%;
    margin-top: 1rem;
    text-align: center;
}

.btn__form{
    margin-top: 1rem;
    width: 100%;
    padding: 1.5rem;
    color: var(--text-color);
    background-color: var(--main-color);
    border: none;
    border-radius: .5rem;
    transition: all 5ms;
    cursor: pointer;
}
.btn__form:hover{
    background-color: rgb(39, 189, 169);
    color: var(--bg-color);
}

/*----Footer----*/

.footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem;
    background-color: var(--second-bg-color);  
}
.footer__text p{
    font-size: 1.6rem;
}
.footer__iconTop a{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: .8rem;
    border: .2rem solid var(--main-color);
    border-radius: .8rem;
    transition: .5s ease;
    color: var(--main-color);
}
.footer__iconTop a:hover{
    background-color: var(--main-color);
    color: var(--second-bg-color);
}
.footer-iconTop a i{
    font-size: 2.4rem;
    color: var(--main-color);
}
.footer__iconTop a i:hover{
color: var(--second-bg-color);
}

/*----Nuevo Servicio----*/

.servicio-nuevo{
    background-color: var(--sbg-color);
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 3rem;
}

.servicio-nuevo__cont{
    width: 80%;
    margin: 0 auto;
    margin-left: 10%;
}

.image__servicio{
    display: none;
}

@media (min-width: 1300px){
    .image__servicio{
        width: 53rem;
        height: 40rem;
        border-radius: 1rem;
        display: block;
        margin-left: 10%;
    }
    .servicio-nuevo__cont{
        width: 90%;
        margin-top: 1rem;
        margin-left: 0;
    }
    .servicio-nuevo__cont h1{
        font-size: 6rem;
    }
}
